spring:
  application:
    name: ninmedia-mobile-server
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://app1.ninmedia.net:3306/nice_mobile?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Jakarta
    username: ninmedia
    password: ninmedi4
    hikari:
      connection-timeout: 30000
      maximum-pool-size: 20
    testWhileIdle: true
    validationQuery: SELECT 1
  mail:
    host: smtp.gmail.com
    port: 587
    username: nice.ecosystem@gmail.com
    password: Nice7890
    from: NICE Mailer  <nice.ecosystem@gmail.com>
    smtp:
      auth: true
      starttls:
        enable: true

# HTTP Server
server:
  port: 9091   # HTTP (Tomcat) port
  http2:
    enabled: true

activemq:
  broker-url: vm://embedded?broker.persistent=false,useShutdownHook=false
  in-memory: true
  non-blocking-redelivery: true
  packages:
    trust-all: false
    trusted: tv.ninmedia.monthlyqr
jms:
  listener:
    acknowledge-mode: auto
    auto-startup: true
    concurrency: 5
    max-concurrency: 10
  pub-sub-domain: false
  template:
    default-destination:
    delivery-mode: non_persistent
    priority: 100
    qos-enabled: true
    receive-timeout: 1000
    time-to-live: 36000

logging:
  file:
    max-history: 10
    max-size: 10MB
  level:
    tv:
      ninmedia: DEBUG
  path: /home/ninmedia/logs/monthly-qr
